# ResizeObserver

external class ResizeObserver (callback: ( Array < ResizeObserverEntry >, ResizeObserver ) -> Unit )(source)

## Constructors

ResizeObserver
Link copied to clipboard
constructor(callback: ( Array < ResizeObserverEntry >, ResizeObserver ) -> Unit )

## Functions

disconnect
Link copied to clipboard
fun disconnect ()
observe
Link copied to clipboard
fun observe (target: Element , options: Json = definedExternally)
observe
Link copied to clipboard
fun ResizeObserver . observe (target: Element , options: ResizeObserverObserveOptions )
unobserve
Link copied to clipboard
fun unobserve (target: Element )